× This forum is read only. As of July 23, 2019, the UserSpice forums have been closed. To receive support, please join our Discord by clicking here. Thank you!

  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
file_get_contents(): SSL operation failed with code 1
#1
Hello,
I am getting below error at the time of login. I didnt change anything but automatically this error come and I can not login.
Please help me to solve this issue.
Thank you.


Warning: file_get_contents(): SSL operation failed with code 1. OpenSSL Error messages: error:14090086:SSL routinesConfusedsl3_get_server_certificate:certificate verify failed in users\includes\recaptcha.config.php on line 86

Warning: file_get_contents(): Failed to enable crypto in users\includes\recaptcha.config.php on line 86

Warning: file_get_contents(https://www.google.com/recaptcha/api/sit...tqNnmDWcIg): failed to open stream: operation failed in users\includes\recaptcha.config.php on line 86
  Reply
#2
So that looks like a server configuration issue, but @brandin just made a few changes to that, so I'm going to have him look at it.

Do you think there's a chance that you put an http where there should be an https or vice versa?

Also, idk if you've ever used Discord (https://discord.gg/j25FeHu), but it's free and that's where all the userspice devs are and responses are a lot faster there.
  Reply
#3
So I have two responses to this:
1) Are you seeing this error on like a dev system (localhost?) where you don't use SSL? Or a production server? If production, do you use SSL?
2) Your recapatcha key-is it an Invisible one?
3) There is information at this link below that seems to be the resolution, but I haven't tested it yet, I just want to share it preliminary:
https://stackoverflow.com/questions/2614...1-and-more
  Reply
#4
We'll help you work through this and confirm if the problem is on your server or ours. Step 1...can you check php.ini on your server and make sure it has these two lines (or add them)...
extension=php_openssl.dll
allow_url_fopen = On

Also, do you know what version of php you're using?

Here's a SO post that we can look at to walk through this...
https://stackoverflow.com/questions/2614...1-and-more
  Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)